export interface StaffLdb {
    generatedAt: Date;
    locationName: string;
    stationManagerCode: string;
    nrccMessages?: NrccMessage[];
    trainServices?: TrainServices[];
    busServices?: TrainServices[];
    ferryServices?: TrainServices[];
}

export interface NrccMessage {
    severity: string;
    xhtmlMessage: string;
}

export interface TrainServices {
    rid: string;
    uid: string;
    trainid: string;
    operatorCode: string;
    isPassengerService?: string;
    platform?: string;
    platformIsHidden?: string;
    serviceIsSupressed?: string;
    origin: ServiceLocation[];
    destination: ServiceLocation[];
    length?: number;
    isCancelled?: string;
    cancelReason?: string;
    delayReason?: string;
    arrivalType?: string;
    departureType?: string;
    sta?: Date | string;
    eta?: Date | string;
    ata?: Date | string;
    std?: Date | string;
    etd?: Date | string;
    atd?: Date | string;

    [key: string]: any;
}

export interface ServiceLocation {
    tiploc: string;
    name?: string;
    via?: string;
}